<?
require'config.php';
$align='left';
$title='Посты юзера';
head();
aut();
levels(9);
who_add(0,'enter');

$nk = intval($_GET['nk']);
$select = @$db->sql_query ("Select * from users where id='".$nk."'");
$inf = $db->sql_fetchrow ($select);


switch($mod) {
default:

if ($inf[id]==$user[id]){

if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `message` WHERE `id` = '".intval($_GET['dell'])."'");
echo '<b>Пост успешно удален!</b><br/>';
echo gb.'<a href ="'.$inf['id'].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}
if (isset($_GET['dellete'])){
$db->sql_query("DELETE FROM `message` WHERE user_id='".intval($_GET['dellete'])."'");
echo '<b>Посты успешно удалены!</b><br/>';
echo gb.'<a href ="'.$inf['id'].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from message WHERE user_id='$user[id]';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query ("select * from message WHERE user_id='$user[id]' order by id desc limit $start,$max");
if ($k_post == 0)echo 'Постов нет<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<div class="links">'.nik($a[user_id]).'';
if($a[komu]>0)echo ' написал юзеру '.nik($a['komu']).'';
echo ' в ('.times($a['time']).')</div>';
echo text($a[msg]);
echo '<hr/>[<a href="posts?dell='.$a['id'].'">Удалить пост</a>]<br/>';
echo '<dl></dl>';
}
echo "<hr/>";
$allpost = $db->sql_fetchfield($db->sql_query("select count(*) as num from message WHERE user_id='$user[id]'"),0);
if($allpost>0)echo '[<a href="posts?dellete='.$inf['id'].'&amp;"><b>Удалить все посты</b></a>]<br/>[<a href="posts?dellete&amp;"><b>Удалить все посты ботов</b></a>]<br/>';
if ($k_page>1){
echo "<hr/>";
str('?nk='.$user[id].'&amp;',$k_page,$page);
}
break;

}else{

if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `message` WHERE `id` = '".intval($_GET['dell'])."'");
$db->sql_query("INSERT INTO logs SET log = 'delpost', msg = '[b]" . $user['user'] ."[/b] Удалил пост [b]".user((int)$_GET['dell'])."[/b]', time = '" . time("NN:DD:H:i") . "'");
//header('Location: posts?nk='.$_GET['nk'].''.$ref);exit;
echo '<b>Пост удален!</b><br/>';
echo gb.'<a href ="'.$inf['id'].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}
if (isset($_GET['dellete'])){
$db->sql_query("DELETE FROM `message` WHERE user_id='".intval($_GET['dellete'])."' ");
$db->sql_query("INSERT INTO logs SET log = 'delpost', msg = '[b]" . $user['user'] ."[/b] Удалил все посты [b]".user((int)$_GET['dellete'])."[/b]', time = '" . time("NN:DD:H:i") . "'");
echo '<b>Посты успешно удалены!</b><br/>';
echo gb.'<a href ="'.$inf['id'].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек'.div;
foot();
exit;
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from message WHERE user_id='$inf[id]';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query ("select * from message WHERE user_id='$inf[id]' order by id desc limit $start,$max");
if ($k_post == 0)echo 'Постов нет<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<div class="links">'.nik($a[user_id]).'';
if($a[komu]>0)echo ' написал юзеру '.nik($a['komu']).'';
echo ' в ('.times($a['time']).')</div>';
echo text($a[msg]);
echo '<hr/>[<a href="posts?dell='.$a['id'].'&amp;">Удалить пост</a>]<br/>';
echo '<dl></dl>';
}
echo "<hr/>";
$allposts = $db->sql_fetchfield($db->sql_query("select count(*) as num from message WHERE user_id='$inf[id]'"),0);
if($allposts>0)echo '[<a href="posts?dellete='.$inf['id'].'&amp;"><b>Удалить все посты</b></a>]<br/>[<a href="posts?dellete&amp;"><b>Удалить все посты ботов</b></a>]<br/>';
if ($k_page>1){
echo "<hr/>";
str('?nk='.$inf[id].'&amp;',$k_page,$page);

}
break;
}
}
echo '<br/>';
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();

?>